Open CASCADE Technology: StepBasic_OrdinalDate Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepBasic_OrdinalDate Class Reference

`#include <StepBasic_OrdinalDate.hxx>`

Inheritance diagram for StepBasic_OrdinalDate:
[legend]

## Public Member Functions
| StepBasic_OrdinalDate ()
| Returns a OrdinalDate. More...
virtual void | Init (const Standard_Integer aYearComponent)
virtual void | Init (const Standard_Integer aYearComponent, const Standard_Integer aDayComponent)
void | SetDayComponent (const Standard_Integer aDayComponent)
Standard_Integer | DayComponent () const
Public Member Functions inherited from StepBasic_Date
| StepBasic_Date ()
| Returns a Date. More...
void | SetYearComponent (const Standard_Integer aYearComponent)
Standard_Integer | YearComponent () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepBasic_OrdinalDate::StepBasic_OrdinalDate | ( |  | ) |

Returns a OrdinalDate.

## Member Function Documentation

Standard_Integer StepBasic_OrdinalDate::DayComponent | ( |  | ) | const

virtual void StepBasic_OrdinalDate::Init | ( | const Standard_Integer | aYearComponent | ) |
| virtual

Reimplemented from StepBasic_Date.

virtual void StepBasic_OrdinalDate::Init | ( | const Standard_Integer | aYearComponent,
|  | const Standard_Integer | aDayComponent
| ) |  |
| virtual

void StepBasic_OrdinalDate::SetDayComponent | ( | const Standard_Integer | aDayComponent | ) |

The documentation for this class was generated from the following file:

- StepBasic_OrdinalDate.hxx